Subject: Re: bug#51239: emptyish web page found via google 'auctex emacs'

From: Mosè Giordano <[email-masked]>
Date: Mon, 18 Oct 2021 01:28:39 +0100

Dear Keita,

On Sat, 16 Oct 2021 at 17:22, Ikumi Keita <[email-masked]> wrote:
>
> Hi Mosè,
>
> >>>>> Mosè Giordano <[email-masked]> writes:
> > that's how texi2html works, I don't think we can do much about that.
>
> It seems that texi2html was declared as obsolete a decade ago and the
> developer recommends to switch to makeinfo[1]. Maybe we should consider
> to switch and seek for a way to generate less emptyish html pages by
> makeinfo.
>
> [1] https://www.nongnu.org/texi2html/
>
> At least the current doc/Makefile generates such pages by makeinfo when
> I issue "make html/index.html" in doc directory. (makeinfo is chosen by
> Makefile when texi2html is missing and makeinfo is available.)

You have to build with something like "make www-doc TAG=12.3".  It
looks like that adapting the workflow to makeinfo would require quite
some work and I'm not even sure that anything will change at all with
regard to splitting.

Maybe the only thing one could do is to add some text to section
"1.3.1 Functions for editing TeX files" to not have it completely
empty?  But still, there is technically not much wrong, it's that that
section is really empty and users need to press the next button to
read the next section.

Bye,
Mosè